> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exponent.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# User YT balances

> Retrieve indexed YT balances for a wallet.

export const ApiResponse = ({children, errors = {}}) => {
  const [status, setStatus] = useState("200");
  const statuses = ["200", ...Object.keys(errors)];
  return <section className="api-response" aria-label="Response">
      <div className="api-response-header not-prose">
        <h2>Response</h2>
        <div className="api-response-format">
          {statuses.length > 1 ? <select aria-label="Response status" value={status} onChange={event => setStatus(event.target.value)}>
              {statuses.map(code => <option key={code} value={code}>{code}</option>)}
            </select> : <span>200</span>}
          <span className="api-response-mime">application/json</span>
        </div>
      </div>
      <div hidden={status !== "200"}>{children}</div>
      {status !== "200" && <div aria-live="polite">
          {Object.entries(errors[status]).map(([name, value]) => <ResponseField key={name} name={name} type={value === null ? "null" : Array.isArray(value) ? "array" : typeof value}>
              {name === "error" ? "Error message describing why the request failed." : "Additional error details."}
            </ResponseField>)}
        </div>}
    </section>;
};

## Path parameters

<ParamField path="userAddress" type="string" required>
  User wallet address.
</ParamField>

## Query parameters

<ParamField query="vault" type="string">
  Filter to one vault address.
</ParamField>

<RequestExample dropdown>
  ```bash cURL theme={null}
  curl https://api.exponent.finance/balances/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.exponent.finance/balances/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8", timeout=30)
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.exponent.finance/balances/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8");
  if (!response.ok) {
    throw new Error(`Request failed: ${response.status}`);
  }
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ApiResponse errors={{"500": {"error": "<message>"}}} />

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "user_address": "HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8",
      "vault_address": "2pQNreSiey5ZaQHdXeXCj9vRYwoETTa3PQAMAFLav6nz",
      "core_balance": "3088901639287",
      "orderbook_open": "0",
      "orderbook_filled": "0",
      "last_updated_at": "2026-10-14T15:11:12.693+00:00",
      "last_core_tx_signature": null,
      "last_orderbook_tx_signature": null,
      "interest_tracker": {
        "staged": "0",
        "lastSeenIndex": "1.068864762024"
      },
      "emissions_trackers": []
    },
    {
      "user_address": "HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8",
      "vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
      "core_balance": "0",
      "orderbook_open": "0",
      "orderbook_filled": "0",
      "last_updated_at": "2026-10-14T15:11:12.693+00:00",
      "last_core_tx_signature": null,
      "last_orderbook_tx_signature": null,
      "interest_tracker": {
        "staged": "0",
        "lastSeenIndex": "1.084280188213"
      },
      "emissions_trackers": []
    }
  ]
  ```

  ```json 500 theme={null}
  {
    "error": "<message>"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.